summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2017-07-22 14:14:04 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2017-07-23 08:20:40 +0000
commit88ea48f4cdbb9bece811b42c7bbf30e3badddfc9 (patch)
treefdeecf5db9d747b458d928a9b451da150b35396e
parentSorting password option handling in curl container create script. (diff)
downloadcompute-tools-88ea48f4cdbb9bece811b42c7bbf30e3badddfc9.tar.xz
compute-tools-88ea48f4cdbb9bece811b42c7bbf30e3badddfc9.zip
Adding gzip dependency check in curl container create script for completness sake.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rwxr-xr-xshare/scripts/curl13
1 files changed, 12 insertions, 1 deletions
diff --git a/share/scripts/curl b/share/scripts/curl
index 3a715ca..8e1d0e7 100755
--- a/share/scripts/curl
+++ b/share/scripts/curl
@@ -142,8 +142,12 @@ then
elif [ -x /usr/bin/xz ]
then
COMPRESSION="xz"
-else
+elif [ -x /bin/gzip ]
+then
COMPRESSION="gz"
+else
+ echo "'${NAME}': no supported compressor available (lz, xz, gz)."
+ exit 1
fi
ARCHITECTURE="${ARCHITECTURE:-$(dpkg --print-architecture)}"
@@ -233,6 +237,13 @@ done
case "${IMAGE}" in
*.gz)
TAR_OPTIONS="--gzip"
+
+ if [ ! -e /bin/gzip ]
+ then
+ echo -en "\n"
+ echo "'${NAME}': /bin/lzip - no such file." >&2
+ exit 1
+ fi
;;
*.lz)